# Updating a topic

## Update a topic

<mark style="color:orange;">`PUT`</mark> `https://hedera-serverless-consensus.vercel.app/api/consensus/topic/:id`

This endpoint allows you to update the memo of the topic, only from the original creator of the topic.

#### Path Parameters

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| id   | string | The id of the topic. |

#### Query Parameters

| Name | Type   | Description                                       |
| ---- | ------ | ------------------------------------------------- |
| memo | string | The memo that you want to update the topic id to. |

#### Headers

| Name           | Type   | Description                                                      |
| -------------- | ------ | ---------------------------------------------------------------- |
| Authentication | string | The **API\_SECRET\_KEY** from the  client environment variables. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "data": {
        "memo": "Updated memo",
        "topic_id": "16091",
        "accountId": {
            "shard": 0,
            "realm": 0,
            "account": 1156
        },
        "validStart": {
            "seconds": 1598827049,
            "nanos": 719000000
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/topics/updating-a-topic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
